/**
 * @description   业务层接口配置
 * @author       刘晖(liuh@microvideo.cn)
 * @date         2021/11/16 9:35
 */

import { createRequest } from '../lib/request';

// roadType 1：公路，2：高速
export default {
    /**
     * 业务配置-获取路况经纬度数据
     */
    getLKMapLayerList: (params) => {
        return createRequest(params).get("")
    },


    /**
     * 业务配置-获取摄像头经纬度数据
     */
    getSXTMapLayerList: (params) => {
        return createRequest(params).get("/point/camera/list")
    },


    /**
     * 业务配置-获取情报板经纬度数据
     * 情报板状态，1：在线，2：离线，3：故障。
     */
    getQBBMapLayerList: (params) => {
        return createRequest(params).get("/point/info-board/list")
    },


    /**
     * 业务配置-获取交调点经纬度数据
     */
    getJDDMapLayerList: (params) => {
        return createRequest(params).get("/point/intermodulation/list")
    },


    /**
     * 业务配置-获取道路事件经纬度数据
     */
    getDLSJMapLayerList: (params) => {
        return createRequest(params).get("/point/event/list")
    },

    /**
     * 业务配置-获取清障点经纬度数据
     */
    getQZDMapLayerList: (params) => {
        return createRequest(params).get("/point/barrier-clearance/list")
    },

    /**
     * 业务配置-获取救援车辆经纬度数据
     */
    getJYCLMapLayerList: (params) => {
        return createRequest(params).get("/point/rescue-car/list")
    },


    /**
     * 业务配置-获取交警车经纬度数据
     */
    getJCMapLayerList: (params) => {
        return createRequest(params).get("/point/police-car/list")
    },


    /**
     * 业务配置-获取执法车经纬度数据
     */
    getZFCMapLayerList: (params) => {
        return createRequest(params).get("")
    },


    /**
     * 业务配置-获取雷雨云层经纬度数据
     */
    getLYYCMapLayerList: (params) => {
        return createRequest(params).get("/point/weather/layer/list")
    },


    /**
     * 业务配置-获取气象点经纬度数据
     */
    getQXDMapLayerList: (params) => {
        return createRequest(params).get("/point/weather/monitor/list")
    },


    /**
     * 业务配置-获取工区经纬度数据
     */
    getGQMapLayerList: (params) => {
        return createRequest(params).get("/point/work-area/list")
    },


    /**
     * 业务配置-获取服务区经纬度数据
     */
    getFWQMapLayerList: (params) => {
        return createRequest(params).get("/point/service-area/list")
    },


    /**
     * 业务配置-获取收费站经纬度数据
     */
    getSFZMapLayerList: (params) => {
        return createRequest(params).get("/point/station/list")
    },


    /**
     * 业务配置-获取汽渡经纬度数据
     */
    getQDMapLayerList: (params) => {
        return createRequest(params).get("/point/ferry/list")
    },


    /**
     * 业务配置-获取ETC经纬度数据
     */
    getETCMapLayerList: (params) => {
        return createRequest(params).get("/point/etc/list")
    },


    /**
     * 业务配置-获取停车区经纬度数据
     */
    getTCQMapLayerList: (params) => {
        return createRequest(params).get("/point/parking-area/list")
    },


    /**
     * 业务配置-获取枢纽经纬度数据
     */
    getSNMapLayerList: (params) => {
        return createRequest(params).get("/point/interflow/list")
    },


    /**
     * 业务配置-获取桥梁经纬度数据
     */
    getQLMapLayerList: (params) => {
        return createRequest(params).get("/point/bridge/list")
    },


    /**
     * 业务配置-获取隧道经纬度数据
     */
    getSDMapLayerList: (params) => {
        return createRequest(params).get("/point/tunnel/list")
    },


    /**
     * 业务配置-获取路线经纬度数据
     */
    getLXMapLayerList: (params) => {
        return createRequest(params).get("/line/sectionroad")
    },


    /**
     * 业务配置-获取桩号经纬度数据
     */
    getZHMapLayerList: (params) => {
        return createRequest(params).get("/point/mileage/list")
    },

    /**
     * 业务配置-获取重点车辆热力图数据
     */
    getZDCLMapLayerList: (params) => {
        return createRequest(params).get("/point/heat-map/list")
    },

    /**
     * 业务配置-获取重点车辆 车辆列表
     */
    getZDCLCarList: (params) => {
        return createRequest(params).get("/point/heat-map/station/detail/list")
    },

    /**
     * 业务配置-获取重点车辆 车辆轨迹
     */
    getZDCLCarPath: (params) => {
        return createRequest(params).get("/point/vehicle/trajectory/list")
    },

    /**
     * 业务配置-获取摄像机 详情
     */
    getSXJDetail: (params) => {
        return createRequest(params).get("/point/detail/camera")
    },

}